/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

For more info, please contact legal@gi4i.co.uk
*/

jQuery(document).ready(function() {

	jQuery("#TheSignInAPIForm").validate({
		rules: {
			dmrights_api_key: {
				required: true,
			},
			dmrights_catalog_code: {
				required: true,
			}
		}, 
		messages: {
			dmrights_api_key: "Please enter the API code. Get yours at http://registry.dmrights.com",
			dmrights_catalog_code: "Please enter a valid DMRights Catalog code."
		}
	});

	jQuery("#button_update_api").click(function() {

		if(jQuery("#TheSignInAPIForm").valid()) {


			jQuery.getJSON(jQuery("input#dmrights_wp_js_server").val() + "/Services/JSonApiValidation?dmrights_catalog_code=" + jQuery("input#dmrights_catalog_code").val() + "&dmrights_api_key=" + jQuery("input#dmrights_api_key").val() + "&jsoncallback=?", function(result)
					{

				var errorNumber = 0;
				var dmrights_successful = null;
				var errorDescription = null;

				var dmrights_catalog_code = null;
				var dmrights_api_key = null;

				var dmr_user_firstName = null;
				var dmr_user_lastName = null;
				var dmr_user_businessName = null;
				var dmr_user_country = null;
				var dmr_user_email = null;
				var dmr_copyright_license = null;
				var dmr_website_name = null;

				jQuery.each(result, function(index, d) {

					if (d.dmrights_catalog_code != null)
						dmrights_catalog_code = d.dmrights_catalog_code;

					if (d.dmrights_api_key != null)
						dmrights_api_key = d.dmrights_api_key;

					if (d.successful != null)
						dmrights_successful = d.successful;


					if (d.errorNumber != null)
						errorNumber = d.errorNumber;

					if (d.errorDescription != null)
						errorDescription = d.errorDescription;

					if (d.successful != null)
						dmrights_successful = d.successful;

					if (d.dmr_user_firstName != null)
						dmr_user_firstName = d.dmr_user_firstName;

					if (d.dmr_user_lastName != null)
						dmr_user_lastName = d.dmr_user_lastName;

					if (d.dmr_user_businessName != null)
						dmr_user_businessName = d.dmr_user_businessName;

					if (d.dmr_user_country != null)
						dmr_user_country = d.dmr_user_country;

					if (d.dmr_user_email != null)
						dmr_user_email = d.dmr_user_email;

					if (d.dmr_copyright_license != null)
						dmr_copyright_license = d.dmr_copyright_license;

					if (d.dmr_website_name != null)
					{
						dmr_website_name = d.dmr_website_name;
					}

					if (d.dmr_user_country != null)
						dmr_user_country = d.dmr_user_country;

				});

				if (errorNumber == 1 || errorNumber == 2 || errorNumber == 3)
				{
					jQuery("#resultAPI").html(errorDescription);
					jQuery("#resultAPI").fadeIn(3000);
					jQuery("input#dmr_registered_user").val('');
					
					jQuery("#cuota_usage").toggle(false);
					jQuery("#button_dmrights_enable").toggle(false);
					jQuery("#button_dmrights_disable").toggle(false);
					jQuery("#button_upgrade").toggle(false);


				} else {

					jQuery("#hide_new_user_1").show();
					jQuery("#hide_new_user_0").show();
					jQuery("#resultAPI").html(errorDescription);
					
					jQuery("#resultAPI").fadeIn(3000);				
					
					jQuery("input#dmrights_registered_user").val(dmrights_successful);

					jQuery("input#dmrights_catalog_code").val(dmrights_catalog_code);
					jQuery("input#dmrights_api_key").val(dmrights_api_key);

					jQuery('#dmr_copyright_license').val(dmr_copyright_license).attr("selected", "selected");
					jQuery("input#dmr_user_firstName").val(dmr_user_firstName);
					jQuery("input#dmr_user_lastName").val(dmr_user_lastName);
					jQuery("input#dmr_user_businessName").val(dmr_user_businessName);
					jQuery("input#dmr_user_email").val(dmr_user_email);

					jQuery("input#dmr_website_name").val(dmr_website_name);
					
					setTimeout(function()
							{
						jQuery('#dmr_user_country').val(dmr_user_country).attr("selected", "selected");
							},1000);

					jQuery("#SignUp").toggle(false);
					jQuery("#UpdateUData").toggle(true);
					
					jQuery("#cuota_usage").toggle(true);
					jQuery("#button_dmrights_enable").toggle(true);
					jQuery("#button_upgrade").toggle(true);

					setTimeout(function()
							{
							jQuery("#resultAPI").fadeOut(3000);
							},1000);
					
					
									

					jQuery(document).ready(function($) {

						var data = {
								action: 'auth_upgrade',
								dmrights_catalog_code: jQuery("input#dmrights_catalog_code").val(),
								dmrights_api_key: jQuery("input#dmrights_api_key").val(),
								dmrights_registered_user: jQuery("input#dmrights_registered_user").val()
						};

						$.post(ajaxurl, data, function(response) {

						});
					});
				}


					});


		}
	});
});